Alerts

Create a channel

POST
/v1/channels
AuthorizationBearer <token>

API key minted via POST /v1/api-keys (format mk_live_...)

In: header

kindstring
Value in"slack"
channelIdstring

A Slack channel id from the connected workspace.

Length1 <= length <= 40
channelNamestring

The channel name, for the label.

Length1 <= length <= 90

Response Body

application/json

application/json

application/json

curl -X POST "https://api.mentio.dev/v1/channels" \  -H "Content-Type: application/json" \  -d '{    "kind": "slack",    "channelId": "string",    "channelName": "string"  }'
{
  "id": "string",
  "label": "string",
  "stats": {
    "alerts": 0,
    "activeAlerts": 0,
    "lastDeliveryAt": "string",
    "last7d": {
      "total": 0,
      "failed": 0
    }
  },
  "createdAt": "string",
  "kind": "slack",
  "config": {
    "channelId": "string",
    "channelName": "string"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "string",
    "requestId": "string",
    "retryAfterSeconds": 0
  }
}